Bug 5009 - add autocomplete="off" to borrowernumbers and barcode forms
Summary: add autocomplete="off" to borrowernumbers and barcode forms
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Browser compatibility (show other bugs)
Version: 3.4
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Dobrica Pavlinusic
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-14 19:51 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
add autocomplete=off (5.06 KB, patch)
2010-07-14 20:00 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 5009 : Turning off autocomplete (5.78 KB, patch)
2011-07-07 22:04 UTC, Chris Cormack
Details | Diff | Splinter Review
Signed-off patch (5.89 KB, patch)
2011-07-08 12:13 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2010-07-14 19:51:13 UTC
When using RFID readers which emulate keystrokes browser sometimes picks numbers for barcodes or borrowers from history which generates wrong transactions.
Comment 1 Dobrica Pavlinusic 2010-07-14 20:00:29 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2010-12-14 14:32:10 UTC
This sounds like a browser configuration issue rather than a Koha bug. It's possible to tell your browser not to save form data. I'd prefer to leave it up to the user to decide.
Comment 3 Paul Poulain 2011-03-05 21:13:09 UTC
I disagree with you owen: yes, it's a browser configuration, but it's a "all or none" configuration.
User always find autocomplete usefull, and I agree it sometimes causes problem with barcode (it has already been reported by some of our customers)
So I think we should force autocomplete=off for circulation.

Reopening the bug, I think this patch is worth being included !
Comment 4 Nicole C. Engard 2011-03-07 18:35:55 UTC
I have applied this patch fine, but can't sign off on it.  When you're on any page other than the circ page and you type in the 'check out' box at the top auto complete still works. It also still works when adding a new patron.
Comment 5 Dobrica Pavlinusic 2011-03-07 18:44:22 UTC
This patch doesn't modify behavior of CircAutocompl system setting.

If it is used, Koha will still show autocomplete (just not browser auto-complete which looks a bit different). Does that clears up confusion?
Comment 6 Nicole C. Engard 2011-03-07 18:56:53 UTC
When I'm adding a new patron and I type in the barcode box it still tries to complete what I'm typing ... so that shouldn't happen based on the description. It does not try to complete when I'm  When I'm on a page other than the main circ page (for example: cgi-bin/koha/reports/borrowers_out.pl) if I type in the 'check in' box it tries to auto complete that - that's not controlled in the system preference.

I guess I need to know what pages this patch should stop auto complete on to test properly.
Comment 7 Owen Leonard 2011-05-19 16:41:12 UTC
Patch needs to be rewritten for Template:Toolkit.
Comment 8 Chris Cormack 2011-07-07 22:04:26 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2011-07-08 12:13:13 UTC
Created attachment 4602 [details] [review]
Signed-off patch
Comment 10 Chris Cormack 2011-08-02 00:25:49 UTC
Simple html change, works as advertised, pushed please test